Timer for jQuery and jQuery Mobile

Updated on May 17, 2021
Learn More

jQuery Timer Timer for jQuery and jQuery Mobile

Timer - Countdown

Change demo
Countdown
JQuery Countdown timer with start, stop, reset controls, wheel settings for year, month, day, hour, minute, second, fract. For jQuery or jQuery Mobile.
Copy code

Timer - Stopwatch

Change demo
Stopwatch
JQuery Stopwatch demo with start, stop controls and lap counter. Change the steps and display wheels. For jQuery or jQuery Mobile.
Copy code

Timer - Event handlers

Change demo
Event handlers
JQuery Timer demo with event hooks for custom integration and functionality. For jQuery or jQuery Mobile.
Clear event log
EVENTS FIRED: 
Copy code

Timer - Display modes

Change demo
Display modes
JQuery Timer demo with top, bottom, popup, center, modal, bubble and inline embeddable display modes. For jQuery or jQuery Mobile.
Copy code

Timer - Theming capabilities

Change demo
Theming capabilities

The look and feel of the timer can be deeply customized. There are four levels of customization:

  • Base themes: Choose between Mobiscroll, iOS, Android Material and Windows.
  • Light or dark: Every theme has a light and dark variant. Setting the themeVariant to 'auto' will switch based on system settings.
  • Custom themes: Use the theme builder to customize the colors and make it match your brand.
  • Custom CSS: If you need further customization, the sky is the limit with CSS overrides.

You can also see how every example looks by changing the theme from the header.

Copy code
mobiscroll.settings = {
    lang: ' ',
    theme: ' ',
    themeVariant: ' '
};

$(function () {

    $('#demo-ios').mobiscroll().timer({
        theme: 'ios',
        themeVariant: 'light',
        display: 'bubble',
        touchUi: false
    });

    $('#demo-ios-dark').mobiscroll().timer({
        theme: 'ios',
        themeVariant: 'dark',
        display: 'bubble',
        touchUi: false
    });

    $('#demo-ios-custom').mobiscroll().timer({
        theme: 'ios-gray',
        display: 'bubble',
        touchUi: false
    });

    $('#demo-material').mobiscroll().timer({
        theme: 'material',
        themeVariant: 'light',
        display: 'bubble',
        touchUi: false
    });

    $('#demo-material-dark').mobiscroll().timer({
        theme: 'material',
        themeVariant: 'dark',
        display: 'bubble',
        touchUi: false
    });

    $('#demo-material-custom').mobiscroll().timer({
        theme: 'material-indigo',
        display: 'bubble',
        touchUi: false
    });

    $('#demo-windows').mobiscroll().timer({
        theme: 'windows',
        themeVariant: 'light',
        display: 'bubble',
        touchUi: false
    });

    $('#demo-windows-dark').mobiscroll().timer({
        theme: 'windows',
        themeVariant: 'dark',
        display: 'bubble',
        touchUi: false
    });

    $('#demo-windows-custom').mobiscroll().timer({
        theme: 'windows-yellow',
        display: 'bubble',
        touchUi: false
    });

    $('#demo-mobiscroll').mobiscroll().timer({
        theme: 'mobiscroll',
        themeVariant: 'light',
        display: 'bubble',
        touchUi: false
    });

    $('#demo-mobiscroll-dark').mobiscroll().timer({
        theme: 'mobiscroll',
        themeVariant: 'dark',
        display: 'bubble',
        touchUi: false
    });

    $('#demo-mobiscroll-custom').mobiscroll().timer({
        theme: 'mobiscroll-lime',
        display: 'bubble',
        touchUi: false
    });

});
<div style="max-width:1000px;" class="demo-inline" mbsc-page>    <div mbsc-form>
        <div class="mbsc-grid mbsc-grid-fixed">
            <div class="mbsc-row">
                <div class="mbsc-col-sm-12 mbsc-col-md-6">
                    <div class="mbsc-form-group-inset">
                        <div class="mbsc-form-group-title">iOS Theme</div>
                        <label>
                            Light
                            <input mbsc-input id="demo-ios" placeholder="Please Select..." />
                        </label>
                        <label>
                            Dark
                            <input mbsc-input id="demo-ios-dark" placeholder="Please Select..." />
                        </label>
                        <label>
                            Custom
                            <input mbsc-input id="demo-ios-custom" placeholder="Please Select..." />
                        </label>
                    </div>
                </div>
                <div class="mbsc-col-sm-12 mbsc-col-md-6">
                    <div class="mbsc-form-group-inset">
                        <div class="mbsc-form-group-title">Material Theme</div>
                        <label>
                            Light
                            <input mbsc-input id="demo-material" placeholder="Please Select..." />
                        </label>
                        <label>
                            Dark
                            <input mbsc-input id="demo-material-dark" placeholder="Please Select..." />
                        </label>
                        <label>
                            Custom
                            <input mbsc-input id="demo-material-custom" placeholder="Please Select..." />
                        </label>
                    </div>
                </div>
            </div>
            <div class="mbsc-row">
                <div class="mbsc-col-sm-12 mbsc-col-md-6">
                    <div class="mbsc-form-group-inset">
                        <div class="mbsc-form-group-title">Windows Theme</div>
                        <label>
                            Light
                            <input mbsc-input id="demo-windows" placeholder="Please Select..." />
                        </label>
                        <label>
                            Dark
                            <input mbsc-input id="demo-windows-dark" placeholder="Please Select..." />
                        </label>
                        <label>
                            Custom
                            <input mbsc-input id="demo-windows-custom" placeholder="Please Select..." />
                        </label>
                    </div>
                </div>
                <div class="mbsc-col-sm-12 mbsc-col-md-6">
                    <div class="mbsc-form-group-inset">
                        <div class="mbsc-form-group-title">Mobiscroll Theme</div>
                        <label>
                            Light
                            <input mbsc-input id="demo-mobiscroll" placeholder="Please Select..." />
                        </label>
                        <label>
                            Dark
                            <input mbsc-input id="demo-mobiscroll-dark" placeholder="Please Select..." />
                        </label>
                        <label>
                            Custom
                            <input mbsc-input id="demo-mobiscroll-custom" placeholder="Please Select..." />
                        </label>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.

Customize & try demos locally
Sign in or start your free trial

What framework are you using?

Javascript
jQuery
AngularJS
Angular
React
Other
Ionic Angular
Email address

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Create an Ionic 3 & Mobiscroll starter with the CLI:

$ mobiscroll start ionic myStarter

Run this command for Ionic 4 & Mobiscroll starter:

$ mobiscroll start ionic-angular myStarter

Step 3.Copy the code into your app.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Run this command for Ionic 5 & React Mobiscroll starter:

$ mobiscroll start react-ionic myStarter

Step 3.Copy the code into your app.

Copy TSX
Copy CSS

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Customize & try demos locally
How would you like to do it?
Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Angular project

Copy command
$ mobiscroll config angular --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Step 3.Copy the code into your app. HTML goes into the markup, TS into Typescript.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ng serve in the root folder of your app 🎉

Copy command
$ ng serve

And voilà, everything should be running smoothly.

Thanks for downloading
Try and customize the app locally

Extract the zip file and run the project like any Ionic app. Make sure to have Ionic CLI installed and open the terminal in the app root folder.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ionic serve

Let us know if we can help and enjoy!

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

Extract the zip file and open the demo in your favorite browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Please extract the zip file and run the project like any Angular CLI app. Make sure to have the Angular CLI installed.

For installation and usage, extract the zip file and open a terminal window and follow these steps.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ng serve --open

Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The easiest way to get started is to follow the installation steps and by grabbing the code directly from the demo page. Let us know if we can help and enjoy! 👍

You'll find a fully functional Kitchen-sink Ionic app in the zip file.

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The demos are using Babel's in-browser ES6 and JSX transformer.
Extract the zip file and open the demo in your browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Customize & try this demo locally
Sign in or start your free trial

We have to set you up with a trial for this to run 👍

Email address

Need to update your password?
Demos
Theme Select
Mobiscroll
Material
Material Dark
iOS
iOS Dark
Windows
Windows Dark
Language Locale
See other demos and change options
Theme
Locale
See other demos

Timer for React

Updated on May 17, 2021
Learn More

React Timer Timer for React

Timer - Countdown

Change demo
Countdown
React Countdown timer with start, stop, reset controls, wheel settings for year, month, day, hour, minute, second, fract. For React and Next.JS.
Copy code

Timer - Stopwatch

Change demo
Stopwatch
React Stopwatch demo with start, stop controls and lap counter. Change the steps and display wheels. For React and Next.JS.
Copy code

Timer - Event handlers

Change demo
Event handlers
React Timer demo with event hooks for custom integration and functionality. For React and Next.JS.
Clear event log
EVENTS FIRED: 
Copy code

Timer - Display modes

Change demo
Display modes
React Timer demo with top, bottom, popup, center, modal, bubble and inline embeddable display modes. For React and Next.JS.
Copy code

Timer - Theming capabilities

Change demo
Theming capabilities

The look and feel of the timer can be deeply customized. There are four levels of customization:

  • Base themes: Choose between Mobiscroll, iOS, Android Material and Windows.
  • Light or dark: Every theme has a light and dark variant. Setting the themeVariant to 'auto' will switch based on system settings.
  • Custom themes: Use the theme builder to customize the colors and make it match your brand.
  • Custom CSS: If you need further customization, the sky is the limit with CSS overrides.

You can also see how every example looks by changing the theme from the header.

Copy code
import mobiscroll from '@mobiscroll/react';
import '@mobiscroll/react/dist/css/mobiscroll.min.css';

mobiscroll.settings = {
    lang: ' ',
    theme: ' ',
    themeVariant: ' '
};

class App extends React.Component {
    render () {
        return (
            <mobiscroll.Form>
                <div className="mbsc-grid mbsc-grid-fixed">
                    <div className="mbsc-row">
                        <div className="mbsc-col-sm-12 mbsc-col-md-6">
                            <mobiscroll.FormGroup inset>
                                <mobiscroll.FormGroupTitle>iOS Theme</mobiscroll.FormGroupTitle>
                                <mobiscroll.Timer theme="ios" themeVariant="light" display="bubble" touchUi={false}>
    								<mobiscroll.Input placeholder="Please Select...">Light</mobiscroll.Input>
    							</mobiscroll.Timer>
    							<mobiscroll.Timer theme="ios" themeVariant="dark" display="bubble" touchUi={false}>
    								<mobiscroll.Input placeholder="Please Select...">Dark</mobiscroll.Input>
    							</mobiscroll.Timer>
    							<mobiscroll.Timer theme="ios-gray" display="bubble" touchUi={false}>
    								<mobiscroll.Input placeholder="Please Select...">Custom</mobiscroll.Input>
    							</mobiscroll.Timer>
                            </mobiscroll.FormGroup>
                        </div>
                        <div className="mbsc-col-sm-12 mbsc-col-md-6">
                            <mobiscroll.FormGroup inset>
                                <mobiscroll.FormGroupTitle>Material Theme</mobiscroll.FormGroupTitle>
                                <mobiscroll.Timer theme="material" themeVariant="light" display="bubble" touchUi={false}>
    								<mobiscroll.Input placeholder="Please Select...">Light</mobiscroll.Input>
    							</mobiscroll.Timer>
    							<mobiscroll.Timer theme="material" themeVariant="dark" display="bubble" touchUi={false}>
    								<mobiscroll.Input placeholder="Please Select...">Dark</mobiscroll.Input>
    							</mobiscroll.Timer>
    							<mobiscroll.Timer theme="material-indigo" display="bubble" touchUi={false}>
    								<mobiscroll.Input placeholder="Please Select...">Custom</mobiscroll.Input>
    							</mobiscroll.Timer>
                            </mobiscroll.FormGroup>
                        </div>
                    </div>
                    <div className="mbsc-row">
                        <div className="mbsc-col-sm-12 mbsc-col-md-6">
                            <mobiscroll.FormGroup inset>
                                <mobiscroll.FormGroupTitle>Windows Theme</mobiscroll.FormGroupTitle>
                                <mobiscroll.Timer theme="windows" themeVariant="light" display="bubble" touchUi={false}>
    								<mobiscroll.Input placeholder="Please Select...">Light</mobiscroll.Input>
    							</mobiscroll.Timer>
    							<mobiscroll.Timer theme="windows" themeVariant="dark" display="bubble" touchUi={false}>
    								<mobiscroll.Input placeholder="Please Select...">Dark</mobiscroll.Input>
    							</mobiscroll.Timer>
    							<mobiscroll.Timer theme="windows-yellow" display="bubble" touchUi={false}>
    								<mobiscroll.Input placeholder="Please Select...">Custom</mobiscroll.Input>
    							</mobiscroll.Timer>
                            </mobiscroll.FormGroup>
                        </div>
                        <div className="mbsc-col-sm-12 mbsc-col-md-6">
                            <mobiscroll.FormGroup inset>
                                <mobiscroll.FormGroupTitle>Mobiscroll Theme</mobiscroll.FormGroupTitle>
                                <mobiscroll.Timer theme="mobiscroll" themeVariant="light" display="bubble" touchUi={false}>
    								<mobiscroll.Input placeholder="Please Select...">Light</mobiscroll.Input>
    							</mobiscroll.Timer>
    							<mobiscroll.Timer theme="mobiscroll" themeVariant="dark" display="bubble" touchUi={false}>
    								<mobiscroll.Input placeholder="Please Select...">Dark</mobiscroll.Input>
    							</mobiscroll.Timer>
    							<mobiscroll.Timer theme="mobiscroll-lime" display="bubble" touchUi={false}>
    								<mobiscroll.Input placeholder="Please Select...">Custom</mobiscroll.Input>
    							</mobiscroll.Timer>
                            </mobiscroll.FormGroup>
                        </div>
                    </div>
                </div>
            </mobiscroll.Form>
        );
    }    
}

<div id="content"></div>

Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.

Customize & try demos locally
Sign in or start your free trial

What framework are you using?

Javascript
jQuery
AngularJS
Angular
React
Other
Ionic Angular
Email address

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Create an Ionic 3 & Mobiscroll starter with the CLI:

$ mobiscroll start ionic myStarter

Run this command for Ionic 4 & Mobiscroll starter:

$ mobiscroll start ionic-angular myStarter

Step 3.Copy the code into your app.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Run this command for Ionic 5 & React Mobiscroll starter:

$ mobiscroll start react-ionic myStarter

Step 3.Copy the code into your app.

Copy TSX
Copy CSS

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Customize & try demos locally
How would you like to do it?
Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Angular project

Copy command
$ mobiscroll config angular --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Step 3.Copy the code into your app. HTML goes into the markup, TS into Typescript.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ng serve in the root folder of your app 🎉

Copy command
$ ng serve

And voilà, everything should be running smoothly.

Thanks for downloading
Try and customize the app locally

Extract the zip file and run the project like any Ionic app. Make sure to have Ionic CLI installed and open the terminal in the app root folder.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ionic serve

Let us know if we can help and enjoy!

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

Extract the zip file and open the demo in your favorite browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Please extract the zip file and run the project like any Angular CLI app. Make sure to have the Angular CLI installed.

For installation and usage, extract the zip file and open a terminal window and follow these steps.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ng serve --open

Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The easiest way to get started is to follow the installation steps and by grabbing the code directly from the demo page. Let us know if we can help and enjoy! 👍

You'll find a fully functional Kitchen-sink Ionic app in the zip file.

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The demos are using Babel's in-browser ES6 and JSX transformer.
Extract the zip file and open the demo in your browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Customize & try this demo locally
Sign in or start your free trial

We have to set you up with a trial for this to run 👍

Email address

Need to update your password?
Demos
Theme Select
Mobiscroll
Material
Material Dark
iOS
iOS Dark
Windows
Windows Dark
Language Locale
See other demos and change options
Theme
Locale
See other demos